#include<bits/stdc++.h>
using namespace std;
int n,m;
int mat[4][500050];
int dp[4][500050];
int d;
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> n >> m;
    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=m; j++)
        {
            cin >> mat[i][j];

        }
    }

    for(int i=1; i<=n; i++)
    {
        for(int j=1; j<=m; j++)
            dp[i][j] = dp[i][j-1] + mat[i][j];
    }

    for(int i=n; i>=1; i--)
    {
        if(dp[1][i] > dp[2][i])
        {
            d+=dp[1][i];
        }
        d+= mat[2][i];
    }
    cout << d << endl;
    return 0;
}